Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.nls
Class FontNLSEntry

    java.lang.Object
      jet.server.api.nls.NLSEntry
          jet.server.api.nls.FontNLSEntry

All Implemented Interfaces:
  java.io.Serializable

    public class FontNLSEntry

extends NLSEntry

The FontNLSEntry is one of NLSEntry, it was used to transform Font while exporting report to file. A FontNLSEntry has five properties, original font name, original font size, target font name, target font size and relativity. The original font name and original font size specified an original font. The target font name and target font size specified a target font. When the running of a task is finished, the result of task will be exported to a file. During the exporting process, all the fonts in result, which were same with the original font--their font name and font size are same would be translated into target font. The relativity of a FontNLSEntry indicates whether the font is relative.

See Also:
  `GlobalNSLLibrary`, `NLSEntry`, `TextNLSEntry`, Serialized Form

Constructor Summary
`FontNLSEntry(java.lang.String orginalFace, int orginalSize)` The construct method of FontNLSEntry.
`FontNLSEntry(java.lang.String orginalFace, int orginalSize, java.lang.String targetFace, int targetSize, boolean relative)` The construct method of FontNLSEntry.

Method Summary
`boolean` | `equals(java.lang.Object obj)` The equals method of FontNLSEntry.
`java.lang.String` | `getOrginalFace()` Gets the original Face of FontNLSEntry.
`int` | `getOrginalSize()` Gets the original size of FontNLSEntry.
`java.lang.String` | `getTargetFace()` Gets the target face of FontNLSEntry.
`int` | `getTargetSize()` Gets the target size of FontNLSEntry.
`int` | `hashCode()` The hashCode method of FontNLSEntry.
`boolean` | `isRelative()` Tests whether the FontNLSEntry is relative.
`void` | `setOrginalFace(java.lang.String orginalFace)` Sets the original Face of FontNLSEntry.
`void` | `setOrginalSize(int orginalSize)` Sets the original size of FontNLSEntry.
`void` | `setRelative(boolean relative)` Sets the relative of FontNLSEntry.
`void` | `setTargetFace(java.lang.String targetFace)` Sets the target face of FontNLSEntry.
`void` | `setTargetSize(int targetSize)` Sets the target size of FontNLSEntry.
`java.lang.String` | `toString()` The toString method of FontNLSEntry.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FontNLSEntry

    public FontNLSEntry(java.lang.String orginalFace,
                        int orginalSize)

  The construct method of FontNLSEntry.

  Parameters:
    `A` - string, which is the orginalFace of FontNLSEntry.
    `A` - string, which is the orginalSize of FontNLSEntry.

### FontNLSEntry

    public FontNLSEntry(java.lang.String orginalFace,
                        int orginalSize,
                        java.lang.String targetFace,
                        int targetSize,
                        boolean relative)

  The construct method of FontNLSEntry.

  Parameters:
    `A` - string, which is the orginalFace of FontNLSEntry.
    `An` - int, which is the orginalSize of FontNLSEntry.
    `A` - string, which is the targetFace of FontNLSEntry.
    `An` - int, which is the targetSize of FontNLSEntry.
    `A` - boolean, which indicates whether the font is relative.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  The equals method of FontNLSEntry.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  The hashCode method of FontNLSEntry.

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  The toString method of FontNLSEntry.

  Overrides:
    `toString` in class `java.lang.Object`

### getOrginalFace

    public java.lang.String getOrginalFace()

  Gets the original Face of FontNLSEntry.

  Returns:
    A string, which is the original Face of FontNLSEntry.

### setOrginalFace

    public void setOrginalFace(java.lang.String orginalFace)

  Sets the original Face of FontNLSEntry.

  Parameters:
    `A` - string, which is the original Face of FontNLSEntry.

### getOrginalSize

    public int getOrginalSize()

  Gets the original size of FontNLSEntry.

  Returns:
    An int value, which is the original size.

### setOrginalSize

    public void setOrginalSize(int orginalSize)

  Sets the original size of FontNLSEntry.

  Parameters:
    `An` - int value, which is the original size of FontNLSEntry.

### getTargetFace

    public java.lang.String getTargetFace()

  Gets the target face of FontNLSEntry.

  Returns:
    A string, which is the target face of FontNLSEntry.

### setTargetFace

    public void setTargetFace(java.lang.String targetFace)

  Sets the target face of FontNLSEntry.

  Parameters:
    `A` - string, which is the target face of FontNLSEntry.

### getTargetSize

    public int getTargetSize()

  Gets the target size of FontNLSEntry.

  Returns:
    An int value, which is the target size of FontNLSEntry.

### setTargetSize

    public void setTargetSize(int targetSize)

  Sets the target size of FontNLSEntry.

  Parameters:
    `An` - int value, which is the target size of FontNLSEntry.

### isRelative

    public boolean isRelative()

  Tests whether the FontNLSEntry is relative.

  Returns:
    A boolean value.

### setRelative

    public void setRelative(boolean relative)

  Sets the relative of FontNLSEntry.

  Parameters:
    `relative` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD